ZWParserInternal::State Struct Reference

Internal: the state of a ZWParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
bool | m_headerUsed
| true if the header is used More...
bool | m_footerUsed
| true if the footer is used More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a ZWParser.

## Constructor & Destructor Documentation

ZWParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int ZWParserInternal::State::m_actPage

the actual page

int ZWParserInternal::State::m_footerHeight

the footer height if known

bool ZWParserInternal::State::m_footerUsed

true if the footer is used

int ZWParserInternal::State::m_headerHeight

the header height if known

bool ZWParserInternal::State::m_headerUsed

true if the header is used

int ZWParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- ZWParser.cxx